        !COMPILER-GENERATED INTERFACE MODULE: Mon Feb 13 16:37:42 2012
        MODULE DIST_mod
          INTERFACE 
            FUNCTION DIST(N,X,Y) RESULT(DIST_0)
              INTEGER(KIND=4) :: N
              REAL(KIND=8) :: X(N)
              REAL(KIND=8) :: Y(N)
              REAL(KIND=8) :: DIST_0
            END FUNCTION DIST
          END INTERFACE 
        END MODULE DIST_mod
